/// <reference types="node" />
import { ReadStream } from "fs";
export { MATCH_NON_PRINTABLE } from "StreamCleaner";
interface ParserArgs {
    numericColumns?: Array<string>;
    maxChars?: number;
    escapeChar?: string;
    progressCallback?: ProgressCallback;
    columnTransformers?: ColumnTransformers;
    filterInput?: boolean | RegExp;
}
declare type ColumnTransformers = {
    [key: string]: (value: string) => string;
};
declare type StatementExecutor = (statement: string) => Promise<any>;
declare type ProgressCallback = (progress: number, tableName: string) => void;
export declare const CsvInsert: (uploader: StatementExecutor, settings?: ParserArgs) => (readStream: ReadStream, table_name: string) => Promise<void>;
